Skip to content

Compares two revisions of a pack from their verified artifacts.

GET
/v1/m/skills/packs/{id}/diff
curl --request GET \
--url https://example.com/v1/m/skills/packs/example/diff \
--header 'Authorization: Bearer <token>'

Compares two revisions of a pack from their verified artifacts.

id
required
string

Path parameter id.

from
string format: uuid

Revision to compare from. Defaults to the revision before to.

to
string format: uuid

Revision to compare to. Defaults to the latest revision.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}